GhostScript Update causes Blue Background

Bug #1817308 reported by Frank on 2019-02-22
122
This bug affects 22 people
Affects Status Importance Assigned to Milestone
ghostscript (Ubuntu)
High
Marc Deslauriers

Bug Description

I am running 64 bit Linux Mint 19.1, the Cinnamon desktop 4.0.9, with kernel 4.15.0-45-generic.

Two days ago an update to ghostscript dated 20 FEB 2019 appeared, and was applied to two of my machines (One is an Intel and one is an AMD, but both are kept fully updated) that share a networked HP OfficeJet 6700 Printer.

At some point following the update, I happened to print a document, and ended up with a blue background on every page, even otherwise blank second sides. This occured regardless of a variety of originating applications I used, such as LibreOffice, various text editors, and even the CUPS "print test page" option.

It took me a while to troubleshoot this on that first machine (trying different apps, reinstalling CUPS and so forth) until I realized the new ghostscript update was the issue and that (after trying to print from the second machine) it was affecting both machines.

I should note that, using the "non-CUPS" appearance of the same printer, no blue background is present, but of course this provides no features like ink-level reporting, dual-sided printing, etc.

I "restored" the ghostscript stuff from the last Timeshift backup and that cured the issue but I think this is a serious matter that should be addressed immediately (not the least because it's hard to read black text on a blue background and it wastes a lot of ink).

I first posted this at <https://forums.linuxmint.com/viewtopic.php?f=47&t=288613#p1598888> and then sent an e-mail to <email address hidden> (whose name was on the update information) who advised me to post this bug
here.

Till Kamppeter (till-kamppeter) wrote :

The bug is most probably caused by a regression fix on Ghostscript 9.26, issued by the security team.

Please provide us the error_log (in debug mode, see https://wiki.ubuntu.com/DebuggingPrintingProblems#CUPS_error_log) of one of your failing (comin out in blue) print jobs.

I also reported this bug upstream here:

https://bugs.ghostscript.com/show_bug.cgi?id=700584#c5

tags: added: regression-update
Changed in ghostscript (Ubuntu):
status: New → Incomplete
importance: Undecided → High
Marc Deslauriers (mdeslaur) wrote :

Could you please also attach your /var/log/apt/term.log and /var/log/apt/history.log files?

Frank (foberle) wrote :
Frank (foberle) wrote :
Frank (foberle) wrote :

As for Till Kamppeter's request, there doesn't seem to be any CUPS error log that I could locate.

Also, someone else reported the same issue on the Mint Forums if you're interested. It's at:
https://forums.linuxmint.com/viewtopic.php?f=47&t=288613

Patrick Demonguères (pdemong) wrote :

I've got the same issue : all my printed page have a blue background.
$ lsb_release -rd
Description: Ubuntu 18.04.1 LTS
Release: 18.04

I tried unsuccessfully to update HPLIP package for my HP ENVY 5642 printer. Hplip package does not seem to be involved.

Claus Tondering (w-cl2us-0) wrote :

Here is a CUPS error log in debug mode when executing a job that was printed with a blue background.

Steve Dodson (rhp997) wrote :

Half my office began printing blue today after an unattended update. As a workaround, I set each of the printers to use "High-Quality-Grayscale" until a fix is pushed.

Brian Foster (blfoster) wrote :

I also can confirm this started happening after the following upgrade:

Start-Date: 2019-02-21 20:42:54
Commandline: apt-get dist-upgrade
Requested-By: [redacted]
Upgrade: libgs9:amd64 (9.26~dfsg+0-0ubuntu0.18.04.4, 9.26~dfsg+0-0ubuntu0.18.04.5), ghostscript-dbg:amd64 (9.26~dfsg+0-0ubuntu0.18.04.4, 9.26~dfsg+0-0ubuntu0.18.04.5), ghostscript-doc:amd64 (9.26~dfsg+0-0ubuntu0.18.04.4, 9.26~dfsg+0-0ubuntu0.18.04.5), ghostscript:amd64 (9.26~dfsg+0-0ubuntu0.18.04.4, 9.26~dfsg+0-0ubuntu0.18.04.5), ghostscript-x:amd64 (9.26~dfsg+0-0ubuntu0.18.04.4, 9.26~dfsg+0-0ubuntu0.18.04.5), libgs9-common:amd64 (9.26~dfsg+0-0ubuntu0.18.04.4, 9.26~dfsg+0-0ubuntu0.18.04.5)
End-Date: 2019-02-21 20:45:26

There is no doubt it is due to that "upgrade".

Brian Foster (blfoster) wrote :

I can also confirm setting "High Quality Grayscale" (in CUPS) works-around the problem.
There's no colour (obviously), but also no wasting Blue ink on a useless background.

Steve Langasek (vorlon) on 2019-02-22
Changed in ghostscript (Ubuntu):
assignee: nobody → Marc Deslauriers (mdeslaur)
Matthew Covington (mcoving) wrote :

I started having the same problem today on an Ubuntu 16.04 machine and an HP OfficeJet Pro 6978. However, I haven't updated ghostscript (or anything else recently). I was wondering whether it was an HP update that broke the printing. My printer is automatically installing HP updates.

Brian Foster (blfoster) wrote :

Some more info (in case it helps):

Ubuntu 18.04.2 LTS x86_64 [fully up-to-date Kubuntu]
HP OfficeJet Pro 6970 [has worked flawlessly]

A bit of searching on the 'Net has found complaints this is happening
for other printers not mentioned in _this_ bug report, including (but
not necessarily limited to) "HP Photosmart C7280", "HP 3520 All-in-one";
e.g., see https://askubuntu.com/questions/1120379/my-printer-adds-a-blue-background

I have not noticed/found any complaints (yet?) for non-HP printers.

Jarl (jarl-dk) wrote :

I have downgraded to 9.25 using
sudo apt install ghostscript=9.25~dfsg+1-0ubuntu1 libgs9=9.25~dfsg+1-0ubuntu1 libgs9-common=9.25~dfsg+1-0ubuntu1

That solved the problem.

Download full text (3.3 KiB)

Not a bad idea, but I can confirm this is NOT what happened in my case.
My printer (HP OfficeJet Pro 6970) does NOT auto-upgrade, and it was
indisputably working fine until the `ghostscript' "upgrade" mentioned in
the bug report. I was doing printing all day yesterday (in colour) and
everything worked fine until after that upgrade. Also, asking the printer
to generate reports (either on the front panel or via HPLIP from Linux)
works fine, as does copying. Its very probably only stuff from Linux/CUPS
which goes wrong. (Having said that, I haven't tried "raw" PostScript, but
I also don't want to waste any more blue ink.
cheers!
    -blf-

On Fri, 22 Feb 2019 at 18:05, Matthew Covington <email address hidden> wrote:
> I started having the same problem today on an Ubuntu 16.04 machine and
> an HP OfficeJet Pro 6978. However, I haven't updated ghostscript (or
> anything else recently). I was wondering whether it was an HP update
> that broke the printing. My printer is automatically installing HP
> updates.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1817308
>
> Title:
> GhostScript Update causes Blue Background
>
> Status in ghostscript package in Ubuntu:
> Incomplete
>
> Bug description:
> I am running 64 bit Linux Mint 19.1, the Cinnamon desktop 4.0.9, with
> kernel 4.15.0-45-generic.
>
> Two days ago an update to ghostscript dated 20 FEB 2019 appeared, and
> was applied to two of my machines (One is an Intel and one is an AMD,
> but both are kept fully updated) that share a networked HP OfficeJet
> 6700 Printer.
>
> At some point following the update, I happened to print a document,
> and ended up with a blue background on every page, even otherwise
> blank second sides. This occured regardless of a variety of
> originating applications I used, such as LibreOffice, various text
> editors, and even the CUPS "print test page" option.
>
> It took me a while to troubleshoot this on that first machine (trying
> different apps, reinstalling CUPS and so forth) until I realized the
> new ghostscript update was the issue and that (after trying to print
> from the second machine) it was affecting both machines.
>
> I should note that, using the "non-CUPS" appearance of the same
> printer, no blue background is present, but of course this provides no
> features like ink-level reporting, dual-sided printing, etc.
>
> I "restored" the ghostscript stuff from the last Timeshift backup and
> that cured the issue but I think this is a serious matter that should
> be addressed immediately (not the least because it's hard to read
> black text on a blue background and it wastes a lot of ink).
>
> I first posted this at
> <https://forums.linuxmint.com/viewtopic.php?f=47&t=288613#p1598888>
> and then sent an e-mail to <email address hidden> (whose name was
> on the update information) who advised me to post this bug here.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/ghostscript/+bug/1817308/+subscriptions

--
“How many surrealists does it take to | Brian Foster
 change a ...

Read more...

Brian Foster (blfoster) wrote :

My printer does NOT auto-upgrade and it started having the problem immediately after the `ghostscript' "upgrade".
There is no doubt about this, colour printing was working fine yesterday until the upgrade, then it went all blue-background.

I have not (yet?) tried reverting `ghostscript', I am happy(?) with the "High Quality Grayscale" workaround.

Brian Foster (blfoster) wrote :
Download full text (3.2 KiB)

Thanks for the tip!
When I just tried that I got:

# sudo apt install ghostscript=9.25~dfsg+1-0ubuntu1
libgs9=9.25~dfsg+1-0ubuntu1 libgs9-common=9.25~dfsg+1-0ubuntu1
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Version '9.25~dfsg+1-0ubuntu1' for 'ghostscript' was not found
E: Version '9.25~dfsg+1-0ubuntu1' for 'libgs9' was not found
E: Version '9.25~dfsg+1-0ubuntu1' for 'libgs9-common' was not found
#

Obviously I need to configure(?) something, but am at a bit of a loss
as to what,
as I don't really know much about the Debian/Ubuntu packaging system. (Any
tips or pointers?)

Fortunately, the "High Qualify Grayscale" CUPS workaround is Ok(-ish)
for now....

cheers!
     -blf-

On Fri, 22 Feb 2019 at 18:20, Jarl <email address hidden> wrote:
> I have downgraded to 9.25 using
> sudo apt install ghostscript=9.25~dfsg+1-0ubuntu1 libgs9=9.25~dfsg+1-0ubuntu1 libgs9-common=9.25~dfsg+1-0ubuntu1
>
> That solved the problem.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1817308
>
> Title:
> GhostScript Update causes Blue Background
>
> Status in ghostscript package in Ubuntu:
> Incomplete
>
> Bug description:
> I am running 64 bit Linux Mint 19.1, the Cinnamon desktop 4.0.9, with
> kernel 4.15.0-45-generic.
>
> Two days ago an update to ghostscript dated 20 FEB 2019 appeared, and
> was applied to two of my machines (One is an Intel and one is an AMD,
> but both are kept fully updated) that share a networked HP OfficeJet
> 6700 Printer.
>
> At some point following the update, I happened to print a document,
> and ended up with a blue background on every page, even otherwise
> blank second sides. This occured regardless of a variety of
> originating applications I used, such as LibreOffice, various text
> editors, and even the CUPS "print test page" option.
>
> It took me a while to troubleshoot this on that first machine (trying
> different apps, reinstalling CUPS and so forth) until I realized the
> new ghostscript update was the issue and that (after trying to print
> from the second machine) it was affecting both machines.
>
> I should note that, using the "non-CUPS" appearance of the same
> printer, no blue background is present, but of course this provides no
> features like ink-level reporting, dual-sided printing, etc.
>
> I "restored" the ghostscript stuff from the last Timeshift backup and
> that cured the issue but I think this is a serious matter that should
> be addressed immediately (not the least because it's hard to read
> black text on a blue background and it wastes a lot of ink).
>
> I first posted this at
> <https://forums.linuxmint.com/viewtopic.php?f=47&t=288613#p1598888>
> and then sent an e-mail to <email address hidden> (whose name was
> on the update information) who advised me to post this bug here.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/ghostscript/+bug/1817308/+subscriptions

--
“How many surrealists does it take to | Brian Foster
 change a lightbulb? Three. One calms | ...

Read more...

peter (coffeecoders) wrote :

It's happened to me too ... ghostscript update yesterday evening and now blue backgrounds.

Using Ubuntu 18.04 with HP Deskjet 3720 ...

Kelsey Duerksen (kelseyd91) wrote :

Same here. I'm running Kubuntu 18.04 and printing on an HP CP1025nw (old printer). I tried the command as well to revert to the old ghostscript but it gave me the same error Brian Foster got.

Frank (foberle) wrote :

(Original Poster)

I should mention that - like Brian above - I have neither web services nor auto-update active on my printer.

L'Africain (lafricain79) wrote :

For Ubuntu 16.04:
sudo apt install ghostscript=9.18~dfsg~0-0ubuntu2 libgs9=9.18~dfsg~0-0ubuntu2 libgs9-common=9.18~dfsg~0-0ubuntu2
And Ubuntu 18.04:
sudo apt install ghostscript=9.22~dfsg+1-0ubuntu1 libgs9=9.22~dfsg+1-0ubuntu1 libgs9-common=9.22~dfsg+1-0ubuntu1

For 18.04, it is 22 and not 25.

Matthew T. Sano (thurashen) wrote :

After you reinstall the older version of ghostscript, you may want to prevent them from having their updates from being automatically picked up by using:

sudo apt-mark hold <name of package>

For example:
sudo apt-mark hold ghostscript=9.22~dfsg+1-0ubuntu1

If you have a different package manager change apt to correspond with it.

peter (coffeecoders) wrote :

what amazing support from you folk;

I downgraded as L'Africain described and put the hold as Matthew said and now it prints as it should.

Sim Inthavong (sinthavo) wrote :

I have an HP Officejet 8600 Pro, running Ubuntu 18.04.2 LTS, with Kernel 4.15.0-45 (I do believe that 18.04.2 LTS is suppose to install 4.18, but I think I read somewhere that for anyone running VirtualBox the new Kernel won't install? I could be wrong on this, but if am correct I assume at some point Canonical will correct this as well. At first I thought it was a driver (HPLIP 3.19.1) issue, so I uninstalled and reinstalled. Then I loaded up Windows i VirtualBox and did a print from there, no issue at all. And I also attempted to diagnose the issue on the printer directly and there didn't seem to be any issue either. I even did a factory reset on the printer. Then when I came across this forum, just about everyone seem to mention that the Ghostscript update seem to be the culprit. So I downloaded the source for Ghostscript 9.26, compiled and installed it. The issue now seems resolved! So there is no need to revert to an older version of Ghostscript, just compile and install it. Canonical will probably correct the issue in a future update as well.

Having the same blue background problem with an HP Deskjet 1510, on Linux Mint 17.3. Could not get Ghostscript to downgrade, but the grayscale works for now. Most of my printing is b/w, but hope things get resolved soon.

John Hart (jlhart68) wrote :

I have the problem also, Have turned off the printer, then on several time, have rebooted computer several times, I have dumped printer and re-added it, still getting the blue pages. I suspect I have the same BUG as all those reporting before me.
Next question is who fixes it and when will it be fixed?

John Hart (jlhart68) wrote :

From https://launchpad.net/~lafricain79
For Ubuntu 16.04:
sudo apt install ghostscript=9.18~dfsg~0-0ubuntu2 libgs9=9.18~dfsg~0-0ubuntu2 libgs9-common=9.18~dfsg~0-0ubuntu2

This corrected for me, thanks

Changed in ghostscript (Ubuntu):
status: Incomplete → In Progress
TinkerPhil (tinkerphil) wrote :

Good to see it in progress!
But when I run:
sudo apt install ghostscript=9.18~dfsg~0-0ubuntu2 libgs9=9.18~dfsg~0-0ubuntu2 libgs9-common=9.18~dfsg~0-0ubuntu2

I get
E: Version ‘9.18~dfsg~0-0ubuntu2’ for ‘ghostscript’ was not found
E: Version ‘9.18~dfsg~0-0ubuntu2’ for ‘libgs9’ was not found
E: Version ‘9.18~dfsg~0-0ubuntu2’ for ‘libgs9-common’ was not found

As you can probably guess I am not an apt expert - is there something obvious I can try?

Steve (mailme-steve-percival) wrote :

I can confirm this is also an issue for me. blue background on a HP 3055A using Ghostscript 9.26 on Ubuntu 18.04. I have regressed to 9.22 by running

sudo apt install ghostscript=9.22~dfsg+1-0ubuntu1 libgs9=9.22~dfsg+1-0ubuntu1 libgs9-common=9.22~dfsg+1-0ubuntu1

and the blue background issue has been resolved.

Sebastien Bacher (seb128) wrote :

The problematic version has been removed from the archive and a newer revision with a revert of the problematic change is going to be uploaded

Walter Deinzer (an-ubuntu-43) wrote :

I removed my hold on Ghostscript and upgraded to 9.26 at 14:23 G.M.T. As of this time the problem still persists. I was able to revert to 9.22 again and remove the blue background on printing. Do we have any idea when the problem version will actually be gone from the archives?

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ghostscript - 9.26~dfsg+0-0ubuntu0.18.10.6

---------------
ghostscript (9.26~dfsg+0-0ubuntu0.18.10.6) cosmic-security; urgency=medium

  * SECURITY REGRESSION: Ghostscript update causes blue background
    (LP: #1817308)
    - disable debian/patches/lp1815339.patch

 -- Chris Coulson <email address hidden> Sat, 23 Feb 2019 06:49:04 +0100

Changed in ghostscript (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ghostscript - 9.26~dfsg+0-0ubuntu0.14.04.6

---------------
ghostscript (9.26~dfsg+0-0ubuntu0.14.04.6) trusty-security; urgency=medium

  * SECURITY REGRESSION: Ghostscript update causes blue background
    (LP: #1817308)
    - disable debian/patches/lp1815339.patch

 -- Chris Coulson <email address hidden> Sat, 23 Feb 2019 07:01:35 +0100

Changed in ghostscript (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ghostscript - 9.26~dfsg+0-0ubuntu0.18.04.6

---------------
ghostscript (9.26~dfsg+0-0ubuntu0.18.04.6) bionic-security; urgency=medium

  * SECURITY REGRESSION: Ghostscript update causes blue background
    (LP: #1817308)
    - disable debian/patches/lp1815339.patch

 -- Chris Coulson <email address hidden> Sat, 23 Feb 2019 06:52:25 +0100

Changed in ghostscript (Ubuntu):
status: In Progress → Fix Released

I had this issue with Ubuntu 16.04 and HP 8610. After having installed the 9.26 dfsg, the problem is solved. Thanks !

Chris Porterbee (cpoerterbee) wrote :

I am running xubuntu 18.10 with an HP Officejet Pro 8600 with the same blue results. I see the updates out so far relate to 18.04.06 but not 18.10. When will this be covered as well?

Chris Porterbee (cpoerterbee) wrote :

I see it is all set now, updated and all appears to be working fine now.

Wayne L Johnson (wjohnson000) wrote :

This solved my issue as well, Ubuntu 18.04.1, HP OfficeJet 4500. Now if only I could scrape off all of the wasted cyan ink from the stuff I printed and put it back in the color cartridge ... Thanks for the tip!

Claus Tondering (w-cl2us-0) wrote :

Problem solved. Thank you for speedy action. You're great!

To the security team:

The Ghostscript developers have fixed the problem now. See

http://bugs.ghostscript.com/show_bug.cgi?id=700584

Can another update be issued with this fix?

Brian Foster (blfoster) wrote :

I also confirmed this upgrade FIXED the blue-background problem:

Start-Date: 2019-02-23 19:52:39
Commandline: apt-get dist-upgrade
Requested-By: [redacted]
Upgrade: libgs9:amd64 (9.26~dfsg+0-0ubuntu0.18.04.5, 9.26~dfsg+0-0ubuntu0.18.04.6), ghostscript-dbg:amd64 (9.26~dfsg+0-0ubuntu0.18.04.5, 9.26~dfsg+0-0ubuntu0.18.04.6), ghostscript-doc:amd64 (9.26~dfsg+0-0ubuntu0.18.04.5, 9.26~dfsg+0-0ubuntu0.18.04.6), ghostscript:amd64 (9.26~dfsg+0-0ubuntu0.18.04.5, 9.26~dfsg+0-0ubuntu0.18.04.6), ghostscript-x:amd64 (9.26~dfsg+0-0ubuntu0.18.04.5, 9.26~dfsg+0-0ubuntu0.18.04.6), libgs9-common:amd64 (9.26~dfsg+0-0ubuntu0.18.04.5, 9.26~dfsg+0-0ubuntu0.18.04.6)
End-Date: 2019-02-23 19:54:46

Many thanks!

Rich (howellr) wrote :

Update Manager came through with the update a couple of hours ago - Fixed the blue background on HP Photosmart B210. Thanks for quick work Guys

Walter Deinzer (an-ubuntu-43) wrote :

Thank you, all.

Matthew T. Sano (thurashen) wrote :

Thanks for the timely fix guys! Keep up the good work!

Frank (foberle) wrote :

[Original Poster]

Just did the update, and my OfficeJet 6700 is now behaving again. Thanks for the very quick turnaround (and on a weekend!!).

Avi (avi-j) wrote :

Fixed for me too. Thanks for the rapid response!

ajo (oxtonaj) wrote :

This bug has been quite a roller coaster ride. I learnt a lot. Thanks for the adventure and for the quick fix. *ajo*

summary: - GhostScript Update causes Blue Background
+ buy adderall online- GhostScript Update causes Blue Background
summary: - buy adderall online- GhostScript Update causes Blue Background
+ GhostScript Update causes Blue Background
summary: - GhostScript Update causes Blue Background
+ buy adderall online-GhostScript Update causes Blue Background
description: updated
description: updated
summary: - buy adderall online-GhostScript Update causes Blue Background
+ GhostScript Update causes Blue Background
description: updated
Marc Deslauriers (mdeslaur) wrote :

Hi everyone,

I would like to re-introduce the fix for bug 1815339 in the gostscript package now that upstream has fixed the blue page regression.

Unfortunately, I don't know how to test if the issue will come back, as none of my printers were printing a blue page after the original update.

Could someone please test the new ghostscript packages in the security team PPA, available here:

https://launchpad.net/~ubuntu-security-proposed/+archive/ubuntu/ppa/+packages

Please update this bug if you do so that I can release them.

Thanks!

Marc Deslauriers (mdeslaur) wrote :

I have found a way to test the new updates, and have released them:

https://usn.ubuntu.com/3866-3/

Thanks.

Frank (foberle) wrote :

[OP]

Just tested Marc's new update on my HP OfficeJet 6700 and it seems to work fine.

Thanks for the quick responses.

Brian Foster (blfoster) wrote :

I can confirm this latest update also seems to be working fine (no blue background):

Start-Date: 2019-02-26 18:47:20
Commandline: apt-get dist-upgrade
Requested-By: [redacted]
Upgrade: libldb1:amd64 (2:1.4.0+really1.3.5-2, 2:1.4.0+really1.3.5-2ubuntu0.1), libgs9:amd64 (9.26~dfsg+0-0ubuntu0.18.10.6, 9.26~dfsg+0-0ubuntu0.18.10.7), ghostscript:amd64 (9.26~dfsg+0-0ubuntu0.18.10.6, 9.26~dfsg+0-0ubuntu0.18.10.7), ghostscript-x:amd64 (9.26~dfsg+0-0ubuntu0.18.10.6, 9.26~dfsg+0-0ubuntu0.18.10.7), libgs9-common:amd64 (9.26~dfsg+0-0ubuntu0.18.10.6, 9.26~dfsg+0-0ubuntu0.18.10.7), firefox:amd64 (65.0+build2-0ubuntu0.18.10.1, 65.0.1+build2-0ubuntu0.18.10.1), opera-stable:amd64 (58.0.3135.68, 58.0.3135.79)
End-Date: 2019-02-26 18:48:57

This was on my Lubuntu18.10 "recovery" USB-based system (not my main Kubuntu18.04 LTS "main"
HDD-based system); same printer (HP OfficeJet Pro 6970). Many Thanks!

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.